javax.resource.cci

## Interface InteractionSpec

- All Superinterfaces:
    java.io.Serializable

      public interface InteractionSpec
      extends java.io.Serializable

  An InteractionSpec holds properties for driving an Interaction with an EIS instance. An InteractionSpec is used by an Interaction to execute the specified function on an underlying EIS.

  The CCI specification defines a set of standard properties for an InteractionSpec. An InteractionSpec implementation is not required to support a standard property if that property does not apply to its underlying EIS.

  The InteractionSpec implementation class must provide getter and setter methods for each of its supported properties. The getter and setter methods convention should be based on the Java Beans design pattern.

  The standard properties are as follows:

  - FunctionName: name of an EIS function
  - InteractionVerb: mode of interaction with an EIS instance: SYNC_SEND, SYNC_SEND_RECEIVE, SYNC_RECEIVE
  - ExecutionTimeout: the number of milliseconds an Interaction will wait for an EIS to execute the specified function

  The following standard properties are used to give hints to an Interaction instance about the ResultSet requirements:

  - FetchSize
  - FetchDirection
  - MaxFieldSize
  - ResultSetType
  - ResultSetConcurrency

  A CCI implementation can provide additional properties beyond that described in the InteractionSpec interface. Note that the format and type of the additional properties is specific to an EIS and is outside the scope of the CCI specification.

  It is required that the InteractionSpec interface be implemented as a JavaBean for the toolability support. The properties on the InteractionSpec implementation class should be defined through the getter and setter methods pattern. An implementation class for InteractionSpec interface is required to implement the java.io.Serializable interface.

  Since:
    0.8
  Version:
    0.8
  Author:
    Rahul Sharma
  See Also:
    `Interaction`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SYNC_RECEIVE` The execution of an Interaction results in a synchronous receive of an output Record.
    `static int` | `SYNC_SEND` Interaction Verb type: The execution of an Interaction does only a send to the target EIS instance.
    `static int` | `SYNC_SEND_RECEIVE` Interaction Verb type: The execution of an Interaction sends a request to the EIS instance and receives response synchronously.

- - ### Field Detail

    - #### SYNC_SEND

          static final int SYNC_SEND

      Interaction Verb type: The execution of an Interaction does only a send to the target EIS instance. The input record is sent to the EIS instance without any synchronous response in terms of an output Record or ResultSet.
      See Also:
        Constant Field Values

    - #### SYNC_SEND_RECEIVE

          static final int SYNC_SEND_RECEIVE

      Interaction Verb type: The execution of an Interaction sends a request to the EIS instance and receives response synchronously. The input record is sent to the EIS instance with the output received either as Record or CCIResultSet.
      See Also:
        Constant Field Values

    - #### SYNC_RECEIVE

          static final int SYNC_RECEIVE

      The execution of an Interaction results in a synchronous receive of an output Record. An example is: a session bean gets a method invocation and it uses this SEND_RECEIVE form of interaction to retrieve messages that have been delivered to a message queue.
      See Also:
        Constant Field Values

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)